CYTUNE(8)

NOM
cytune - Configurer les paramètres du pilote pour cartes séries multiports Cyclades-Z

SYNOPSIS
cytune [-q [-i intervalle]] [{-s|-S} valeur] [-g|-G] [{-t|-T} temporisation] tty ...

DESCRIPTION
cytune récupère et modifie le seuil d'interruptions du pilote Cyclades. Chaque ligne série d'une carte Cyclades possède une FIFO de 12 octets pour les entrées (et une autre FIFO de 12 octets pour les sorties). Le « seuil » indique combien de caractères doivent être présents dans la FIFO avant qu'une interruption soit provoquée. Quand un terminal (tty) Cyclades est ouvert, le seuil est remis à sa valeur par défaut, basée sur la vitesse de la ligne :

        Baud Seuil

    50-4800 10
    9600 8
    19200 4
    38400 2
    57600-150000 1

Si le seuil est fixé à une valeur trop basse, un grand nombre d'interruptions peut charger la machine et réduire les performances globales du système. Si le seuil est trop haut, le tampon de la FIFO peut déborder et des caractères peuvent être perdus. Les machines les plus lentes ne peuvent pas prendre en charge un taux d'interruption trop élevé et nécessiteront que le seuil soit ajusté vers le haut.

Si le pilote cyclades a été compilé avec ENABLE_MONITORING défini, la commande cytune peut être utilisée avec l'option -q pour surveiller les interruptions et caractères reçus dans l'intervalle de surveillance. L'état de la FIFO sera également affiché. Le nombre maximal de caractères présents dans la FIFO lors d'une interruption, le nombre de caractères trouvés à ce moment dans la FIFO et le nombre de caractères se trouvant maintenant dans la FIFO sont enregistrés. La sortie ressemblera à ceci :

    /dev/cubC0: 830 ints, 9130 chars; fifo: 11 threshold, 11 max, 11 now
       166.259866 interrupts/second, 1828.858521 characters/second

Cette sortie indique que pour cette période de surveillance, les interruptions étaient toujours traitées avant l'arrivée du caractère suivant puisque max n'est pas supérieur au seuil (threshold). C'est bien, et vous pouvez probablement continuer de cette façon, à condition que les exemples soient du même genre. Vous perdrez des caractères si la FIFO déborde, le matériel Cyclades ne prenant pas en charge les signaux RTS des lignes RS-232 pour le contrôle de flux matériel entre l'ordinateur et le périphérique.

Quand il est utilisé pour récupérer les informations, cytune fournit un petit compte-rendu quand il se termine par un SIGINT ou quand le seuil ou la temporisation sont modifiés.

Il faut faire un choix entre le temps de réponse et le débit. La carte Cyclades, pour les vitesses les plus hautes, est capable de mettre une charge d'interruptions très élevée sur le système. Cela réduira les ressources processeur disponibles pour les autres tâches du système. Cependant, le temps mis pour répondre à un caractère peut être augmenté si vous augmentez le seuil. Cela peut être visualisé en observant les temps de ping(8) sur un lien SLIP contrôlé par une carte Cyclades. Si le lien SLIP est généralement utilisé pour des travaux interactifs tels que telnet(1), vous pouvez vouloir un seuil bas, de telle sorte que les réponses aux caractères soient aussi rapides que possible. Si le lien SLIP est généralement utilisé pour transférer des fichiers, naviguer sur Internet et autres, augmenter la valeur permettra de limiter la charge sur le système, sans pour autant réduire le débit significativement. Autrement, consultez les options -t ou -T pour ajuster le temps que le pilote Cyclades doit attendre avant de vider sa mémoire tampon. L'unité est 5 ms.

Si vous utilisez une souris sur un port Cyclades, vous souhaiterez certainement maintenir un seuil et une temporisation bas.

OPTIONS

-s valeur
    Fixer le seuil courant à valeur caractères. Notez que si le tty n'est pas maintenu ouvert par un autre processus, le seuil sera réinitialisé à la prochaine ouverture. Seules les valeurs entre 1 et 12 inclus sont autorisées.

-t temporisation
    Définir la temporisation pour le vidage à temporisation unités. Notez que si le tty n'est pas maintenu ouvert par un autre processus, le seuil sera réinitialisé à la prochaine ouverture. Seules les valeurs entre 0 et 255 inclus sont permises. Configurer la temporisation à zéro force la valeur par défaut, actuellement 0x20 (160 ms), mais elle devrait passer à 0x02 (10 ms). L'unité est 5 ms.

-g  Récupérer le seuil et la temporisation courants.

-S valeur
    Configurer le seuil à valeur caractères. Notez que si le tty est de nouveau ouvert, cette valeur sera utilisée à la place de la valeur par défaut. Seules les valeurs entre 1 et 12 inclus sont autorisées.

-T temporisation
    Définir la temporisation pour le vidage à temporisation unités. Quand le tty est ouvert par la suite, cette valeur sera utilisée à la place de la valeur par défaut. Si la temporisation est zéro, alors la valeur par défaut 0x20 (160 ms) sera utilisée ; cette valeur sera prochainement 0x02 (10 ms).

-G  Récupérer le seuil par défaut et vider les valeurs de temporisation.

-q  Récupérer les statistiques du tty. Les résultats ne sont valables que si le pilote Cyclades a été compilé avec ENABLE_MONITORING défini. Ce n'est probablement pas fait par défaut.

-i intervalle
    La récupération des statistiques se fera toutes les intervalle secondes.

BOGUES
Si vous exécutez deux copies de cytune en même temps pour afficher les statistiques du même port, les valeurs de « ints », « chars » et « max » seront réinitialisées et ne seront pas correctes. cytune devrait se protéger contre cela, mais ne le fait pas.

FICHIERS
/dev/ttyC[0-8]
/dev/cubC[0-8]

VOIR AUSSI
setserial(8)

DISPONIBILITÉ
La commande cytune fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.